View Issue Details

IDProjectCategoryView StatusLast Update
0016543MediaMonkey 5Generalpublic2021-01-09 19:27
Reporterpeke Assigned To 
PriorityurgentSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version5.0 
Target Version5.0.1Fixed in Version5.0 
Summary0016543: D&D: Drag and Drop MM4 -> MM5 Now playing do not work
DescriptionThere are number of Issues when D&D Track from Now playing in MM4 and MM5

1. MM4 -> MM5 Do nothing in MM5 Because Mouse pointer keeps changing from Mouse "+" (bug16543_plus.jpg) to Mouse drag (bug16543_Drag.jpg) icon
2. MM4 -> MM5 Same as point 1. It changes from Unavailable to paste (bug16543_unavailable.jpg) to Mouse Drag (bug16543_unavailable_drag.jpg) icon

Based on test and pictures it looks like Paste mouse hot area is too small even as seen on picture there is a space in UI for hot area.
Steps To ReproduceSteps for 1:
Slowly drag and drop track from MM4 Now Playing/Track list to MM5 Now Playing till you see that MM5 shows position where it will be pasted

Steps for 2:
Slowly drag and drop grayed track from MM4 track list to MM5 Now Playing till you see that MM5 shows position where it will be pasted
Additional Informationhttps://www.mediamonkey.com/forum/viewtopic.php?f=30&t=96447
TagsNo tags attached.
Fixed in build2293

Relationships

related to 0014429 closedpetr Drag and Drop to another app fails 
related to 0016000 closedpetr Copy & Paste of files problems 
related to 0016545 closedpetr File Operation: Basic Drag and Drop, Copy/Paste issues in MM5 

Activities

peke

2020-04-23 00:10

developer   ~0057689

Last edited: 2020-05-11 01:28

View 7 revisions

Moved to to be tested in 0016545
<del>Note 0016000, 0014429 do not work in MM5. In MM4 1905 D&D, Copy/Paste works normally when used for Skype, AIMP, Another instance of MM4</del>

peke

2020-05-11 01:29

developer  

bug16543_Drag.jpg (26,517 bytes)   
bug16543_Drag.jpg (26,517 bytes)   
bug16543_plus.jpg (28,865 bytes)   
bug16543_plus.jpg (28,865 bytes)   
bug16543_unavailable.jpg (25,343 bytes)   
bug16543_unavailable.jpg (25,343 bytes)   
bug16543_unavailable_drag.jpg (25,723 bytes)   
bug16543_unavailable_drag.jpg (25,723 bytes)   

petr

2020-05-11 14:23

developer   ~0057943

Last edited: 2020-05-11 14:29

View 3 revisions

Problem is that D&D in MM5 is not fully in our control, but chromium and it is VERY limited.
For example when user try to D&D track from MM4 NP to MM5 NP ... chromium doesn't give necessary file names so we cannot process that correctly. I've fixed mouse cursor issue (it allow drop even when it's actually denied and cannot be dropped).

peke

2021-01-09 19:27

developer   ~0061256

Verified 2293

it is fixed alongside 0016545 apparently.